"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_COLOR_SCHEME = void 0;
exports.DEFAULT_COLOR_SCHEME = {
    name: "default",
    description: "Modern, user-friendly colors optimized for readability and visual hierarchy",
    colors: {
        // Core types - Modern blue/teal palette for better readability
        basicType: "#4FC3F7",
        formatType: "#26C6DA",
        numericType: "#66BB6A",
        // Conditional syntax - Purple/magenta family with better contrast
        conditionalKeyword: "#AB47BC",
        conditionalOperator: "#FF7043",
        logicalOperator: "#5C6BC0",
        comparisonOperator: "#FFA726",
        // Methods - Golden yellow family for function-like elements
        method: "#FFD54F",
        methodCall: "#FFCC02",
        // Values - Green family with better saturation
        constant: "#81C784",
        unionSeparator: "#90A4AE",
        // Structural elements - Refined grays with subtle tints
        constraint: "#78909C",
        array: "#9E9E9E",
        optional: "#BA68C8",
        // Literals with improved contrast
        numericLiteral: "#7CB342",
        stringLiteral: "#FF8A65", // Coral - warm and friendly for strings
    },
};
//# sourceMappingURL=DEFAULT_COLOR_SCHEME.js.map