"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_COLOR_SCHEME = exports.DEFAULT_COLOR_SCHEME3 = exports.COOL_COLOR_SCHEME2 = exports.DEFAULT_COLOR_SCHEME1 = void 0;
exports.DEFAULT_COLOR_SCHEME1 = {
    name: "default",
    description: "Modern, user-friendly colors optimized for readability and visual hierarchy",
    colors: {
        // Core types - Modern blue/teal palette for better readability
        basicType: "#4FC3F7",
        formatType: "#26C6DA",
        numericType: "#66BB6A",
        // Conditional syntax - Purple/magenta family with better contrast
        conditionalKeyword: "#C586C0",
        conditionalOperator: "#FF7043",
        logicalOperator: "#5C6BC0",
        comparisonOperator: "#FFA726",
        // Methods - Golden yellow family for function-like elements
        method: "#FFD54F",
        methodCall: "#FFCC02",
        // Values - Green family with better saturation
        constant: "#81C784",
        unionSeparator: "#90A4AE",
        // Structural elements - Refined grays with subtle tints
        constraint: "#78909C",
        array: "#9E9E9E",
        optional: "#BA68C8",
        // Literals with improved contrast
        numericLiteral: "#7CB342",
        stringLiteral: "#FF8A65", // Coral - warm and friendly for strings
    },
};
// Alternative color scheme for users who prefer cooler tones
exports.COOL_COLOR_SCHEME2 = {
    name: "cool",
    description: "Cool-toned palette with excellent contrast and modern feel",
    colors: {
        // Core types - Cool blues and teals
        basicType: "#42A5F5",
        formatType: "#1DE9B6",
        numericType: "#8BC34A",
        // Conditional syntax - Purple and blue family
        conditionalKeyword: "#C586C0",
        conditionalOperator: "#FF5722",
        logicalOperator: "#3F51B5",
        comparisonOperator: "#FF9800",
        // Methods - Bright yellows
        method: "#FFC107",
        methodCall: "#FFB300",
        // Values - Cool greens and grays
        constant: "#4CAF50",
        unionSeparator: "#607D8B",
        // Structural - Refined cool grays
        constraint: "#546E7A",
        array: "#90A4AE",
        optional: "#9575CD",
        // Literals
        numericLiteral: "#689F38",
        stringLiteral: "#FF7043", // Coral-orange
    },
};
// Neon cyberpunk scheme - vibrant and futuristic 🌈⚡
exports.DEFAULT_COLOR_SCHEME3 = {
    name: "cyberpunk",
    description: "Electric neon colors for a futuristic coding experience 🔥",
    colors: {
        // Core types - Electric blues and cyans
        basicType: "#00E5FF",
        formatType: "#1DE9B6",
        numericType: "#76FF03",
        // Conditional syntax - Hot pinks and purples
        conditionalKeyword: "#C586C0",
        conditionalOperator: "#FF6D00",
        logicalOperator: "#651FFF",
        comparisonOperator: "#FF9100",
        // Methods - Electric yellows
        method: "#FFEB3B",
        methodCall: "#FFC400",
        // Values - Neon greens and electric blues
        constant: "#00FF41",
        unionSeparator: "#03DAC6",
        // Structural - Bright metallics
        constraint: "#9C27B0",
        array: "#00BCD4",
        optional: "#E040FB",
        // Literals
        numericLiteral: "#64DD17",
        stringLiteral: "#FF5722", // Electric red-orange - hot strings
    },
};
// Pastel dream scheme - soft and aesthetic 🌸✨
exports.DEFAULT_COLOR_SCHEME = {
    name: "pastel_dream",
    description: "Soft pastel colors for a dreamy, aesthetic coding vibe 🌙",
    colors: {
        // Core types - Soft pastels
        basicType: "#81D4FA",
        formatType: "#80CBC4",
        numericType: "#C8E6C9",
        // Conditional syntax - Gentle purples and corals
        conditionalKeyword: "#C586C0",
        conditionalOperator: "#FFAB91",
        logicalOperator: "#9FA8DA",
        comparisonOperator: "#FFE082",
        // Methods - Gentle golds
        method: "#FFF59D",
        methodCall: "#FFECB3",
        // Values - Soft naturals
        constant: "#DCEDC8",
        unionSeparator: "#D7CCC8",
        // Structural - Muted pastels
        constraint: "#BCAAA4",
        array: "#E1BEE7",
        optional: "#F8BBD9",
        // Literals
        numericLiteral: "#A5D6A7",
        stringLiteral: "#FFCDD2", // Soft rose - strings like poetry
    },
};
//# sourceMappingURL=colorScheme.const.js.map