"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_MINIMAL = exports.DEFAULT_VIBRANT = void 0;
/**
 * Vibrant color scheme - more colorful and distinct
 */
exports.DEFAULT_VIBRANT = {
    name: "vibrant",
    description: "Vibrant colors for better visual distinction",
    colors: {
        // Core types - bright and distinct
        basicType: "#4FC3F7",
        formatType: "#26C6DA",
        numericType: "#FF9800",
        // Conditional syntax - purple/pink family
        conditionalKeyword: "#E91E63",
        conditionalOperator: "#9C27B0",
        logicalOperator: "#673AB7",
        comparisonOperator: "#3F51B5",
        // Methods - yellow/amber family
        method: "#FFC107",
        methodCall: "#FF9800",
        // Values - green family
        constant: "#4CAF50",
        variable: "#F44336",
        unionSeparator: "#607D8B",
        // Structural - varied colors
        constraint: "#795548",
        array: "#9E9E9E",
        optional: "#E91E63",
        // Literals
        numericLiteral: "#8BC34A",
        stringLiteral: "#FF5722", // Deep orange
    },
};
/**
 * Minimal color scheme - subtle and clean
 */
exports.DEFAULT_MINIMAL = {
    name: "minimal",
    description: "Minimal colors for a clean, distraction-free experience",
    colors: {
        // Core types - subtle blues
        basicType: "#6A9BD1",
        formatType: "#5BA3A3",
        numericType: "#8FA876",
        // Conditional syntax - muted purples
        conditionalKeyword: "#A67CA6",
        conditionalOperator: "#999999",
        logicalOperator: "#7A8FA8",
        comparisonOperator: "#888888",
        // Methods - muted yellows
        method: "#B8A965",
        methodCall: "#B8A965",
        // Values - muted greens
        constant: "#8FA876",
        variable: "#C67C7C",
        unionSeparator: "#777777",
        // Structural - grays
        constraint: "#666666",
        array: "#888888",
        optional: "#A67CA6",
        // Literals
        numericLiteral: "#8FA876",
        stringLiteral: "#B8956B", // Muted orange
    },
};
//# sourceMappingURL=VIBRANT&Minimal.js.map