import { FortifyColorScheme } from "../color.scheme";

// 6. Jade Garden - Serene green theme with Asian-inspired elegance
export const JADE_GARDEN_COLOR_SCHEME: FortifyColorScheme = {
  name: "jade-garden",
  description:
    "Serene garden theme with jade greens and zen-inspired natural tones",
  colors: {
    basicType: "#2ECC71", // Emerald
    formatType: "#27AE60", // Nephritis
    numericType: "#16A085", // Green sea

    conditionalKeyword: "#8E44AD", // Wisteria
    conditionalOperator: "#E74C3C", // Alizarin
    logicalOperator: "#9B59B6", // Amethyst
    comparisonOperator: "#F39C12", // Orange

    method: "#F1C40F", // Sunflower
    methodCall: "#F39C12", // Orange

    constant: "#3498DB", // Dodger blue
    unionSeparator: "#95A5A6", // Concrete

    constraint: "#34495E", // Wet asphalt
    array: "#7F8C8D", // Asbestos
    optional: "#E91E63", // Pink

    numericLiteral: "#1ABC9C", // Turquoise
    stringLiteral: "#FF6B6B", // Coral
    variable: "#E57373", // Soft red for variables in conditionals - distinctive and readable
  },
};
